%{!?python3_pkgversion:%global python3_pkgversion 3}

# EL7 does not have a new enough python-setuptools
%if 0%{?rhel} && 0%{?rhel} <= 7
%global with_python2 0
%else
%global with_python2 1
%endif

%global pypi_name sphinx-autobuild
%global name_with_underscore sphinx_autobuild
%global sum Watch a Sphinx directory and rebuild the documentation

Name:           python-%{pypi_name}
Version:        0.7.1
Release:        6%{?dist}
Summary:        %{sum}

License:        MIT
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://pypi.python.org/packages/41/21/d7407dd6258ca4f4dfe6b3edbd076702042c02bfcdd82b6f71cb58a359d2/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
%if 0%{?with_python2}
BuildRequires:  python2-devel
BuildRequires:  pytest
%endif
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest

Requires:       python-watchdog
Requires:       python-argh
Requires:       python-pathtools
Requires:       PyYAML
Requires:       python-tornado
Requires:       python-port-for
Requires:       livereload

%description
Watch a Sphinx directory and rebuild documentation when a change is detected.

%if 0%{?with_python2}
%package -n python2-%{pypi_name}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
Watch a Sphinx directory and rebuild documentation when a change is detected.
%endif

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        %{sum}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
Watch a Sphinx directory and rebuild documentation when a change is detected.

%prep
%autosetup -n %{pypi_name}-%{version} 

%build
%py3_build
%if 0%{?with_python2}
%py2_build
%endif

%install
%py3_install
mv %{buildroot}%{_bindir}/%{pypi_name} %{buildroot}%{_bindir}/%{pypi_name}-3
%if 0%{?with_python2}
%py2_install
%endif

%if 0%{?with_python2}
%files -n python2-%{pypi_name}
%else
%files
%endif
%doc AUTHORS NEWS.rst README.rst
%license LICENSE
%{python2_sitelib}/%{name_with_underscore}
%{python2_sitelib}/%{name_with_underscore}-%{version}-py?.?.egg-info
%{_bindir}/%{pypi_name}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc AUTHORS NEWS.rst README.rst
%license LICENSE
%{python3_sitelib}/%{name_with_underscore}
%{python3_sitelib}/%{name_with_underscore}-%{version}-py?.?.egg-info
%{_bindir}/%{pypi_name}-3

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.7.1-5
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>
- Fix creation of python2- subpackage

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jul 10 2017 Sundeep Anand <suanand@redhat.com> - 0.7.1-1
- Updated to version 0.7.1

* Wed Aug 10 2016 Sundeep Anand <suanand@redhat.com> - 0.6.0-3
- https://bugzilla.redhat.com/show_bug.cgi?id=1365796

* Thu Jun 23 2016 Sundeep Anand <suanand@redhat.com> - 0.6.0-2
- fix: epel py3 dependency

* Mon Jun 20 2016 Sundeep Anand <suanand@redhat.com> - 0.6.0-1
- https://bugzilla.redhat.com/show_bug.cgi?id=1348003

* Tue Feb 16 2016 Sundeep Anand <suanand@redhat.com> - 0.5.2-4
- https://bugzilla.redhat.com/show_bug.cgi?id=1307172

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 27 2016 Sundeep Anand <suanand@redhat.com> - 0.5.2-2
- Fix binary shebang in python3 subpackage

* Fri Jan 22 2016 Sundeep Anand <suanand@redhat.com> - 0.5.2-1
- Initial RPM Package
